2005-10-23  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Fixed the KScribble example:
		Changed KMainWindow.statusBar() to KMainWindow.kstatusBar()
		Changed '&amp;' to '&' in the button text in the pen size dialog

2005-10-23  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the java bindings from the KDE 3.5 headers

2005-02-02  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added missing KGlobal class

2005-02-02  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the the java bindings against the KDE 3.4 headers

2004-06-07  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated KListViewItem to fix 'unwanted copy constructor' problem reported
	  by Maik Schulz. KCatalog now builds again.

2004-06-01  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the java bindings against the KDE 3.3 headers
	* Added new StoredTransferJob class
	* The methods KMainWindow.menuBar() and KMainWindow.statusBar() have been renamed kmenuBar() 
	  and kstatusBar(), as java doesn't allow covariant return types

2004-04-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Re-added a couple of java source files, as KDevelop lost them

2004-02-08  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the KSSLKeyGen binding as it no longer builds - reported by Peter Hyman

2004-01-16  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added BrowserHostExtension, BrowserRun, PartManager, URLArgs and WindowArgs
	  classes. Needed to be able to use KHTMLPart correctly.

2004-01-14  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added JavaSlot proxy types for various new signal types in KDE 3.2
	  - a bit late, but this adds critical missing functionality needed for the release


2004-01-12  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Restored the KNamedCommand class to the project. Although it is deprecated
	  the non-deprecated KMacroCommand is a subclass.

2004-01-05  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* When a java method needed to be renamed, because in the type signature 
	  only the return type differed in C++, when that isn't allowed in java,
	  the JNI function name was not using the new name.
	* Fixed error in JNI function names when the C++ method had an underscore.
	* Added missing KSSLCertBox.cpp source to the project

2004-01-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added some more KDE classes

2003-12-30  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Fixed/removed some compiler warnings from the generated code
	* Removed -lkjs, -lkscipt and -lkmid libs from the link options
	* Removed KDockWindow, KLineEditDlg, KPrinter, KNamedCommand, KSocket and KRegExpr
	  classes
	* Added KInputDialog, KExtendedSocket, KBufferedIO, KAsyncIO, KDirLister, RenameDlg,
	  AuthInfo and Observer classes
	* Converted '\c' tags in comments to pairs <code> tags
	* Improved conversion of C++ code snippets to java
	* Fixed bug in KIO Scheduler.connect(), and the example in test/kioslave now works
	  correctly
	* Added some long long types, converted to java longs (both 64 bit)

2003-12-23  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the KDE Koala Java bindings from the kdelibs headers on 20/12/2003
	  - Code generation greatly improved, and no manual edits or patches needed 
	    anymore. The bindings code could now be generated as part of the kdebindings
	    configure, and doesn't need to be checked into the cvs.
	  - Added operator methods, and named them 'op_*', eg op_plus().
	  - Various friend functions in the global namespace, added as static methods 
	    to the Qt or KDE classes. For instance, BarIconSet() is now a static method
	    KDE.BarIconSet(), and bitBlt() is Qt.bitBlt().
	  - Added new classes KMdi* and assorted others. Removed the midi classes, as they
	    didn't look too useful for most users.
	  - Updated the example programs to work with the current bindings
	  - Improved the conversion of kdoc/doxygen comments to javadoc format. The 
	    KDE 3.2 api looks great in javadoc, and even the code snippets are quite
	    successfully translated into 'cod java'. The perfect Xmas read.. :)
	  - Non const string arguments are correctly converted to StringBuffers, and 
	    ordinary immutable args are still Strings.
	  - The code for boolean[] and int[] arg types is now generated correctly
	  - More virtual method callbacks are generated than before. All methods of 
	    type 'void foo(void)', 'bool foo(void)' and 'void foo(someobject)' in
	    QObject instances now have callbacks. This is still the biggest limitation of
	    the bindings, and the next ones for KDE 3.3 will be based on the Smoke 
	    library, and have the full range of callback types.

2003-10-26  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* KDateInternalYearSelector, KDateInternalMonthPicker classes removed
	* Fixed some compile errors against current kdelibs

2002-12-01    <Richard_Dale@tipitina.demon.co.uk>

	* Made KStdAccel methods static

2002-11-27    <duke@tipitina>

	* Removed KHTMLView.closeChildDialogs() and KHTMLView.dialogsAllowed() as they're now private.

2002-11-26    <duke@tipitina>

	* Changed license from GPL to LGPL.
        * Removed redundant event handling interfaces

2002-11-24    <duke@tipitina>

	* Changed KScribble event handler methods access type to protected
        * Re-added classes from kcolordialog.h
        * Restored missing readEntry() and writeEntry() methods to KConfigBase
        * Methods in namespace derived classes KIO and KStdAction made static again

2002-11-18  Richard Dale <duke@tipitina.demon.co.uk>

	* Re-added KAccelAction and KAccelActions dummy classes

2002-11-17  Richard Dale <duke@tipitina.demon.co.uk>
	* Koala java bindings regenerated from KDE 3.1 headers
2002-05-12  Richard Dale <duke@tipitina.demon.co.uk>
	* Removed constructors from KAutoMount and KAutoUnmount
2002-04-16  Richard Dale <duke@tipitina.demon.co.uk>
	* Restore KKeySequence.h/cpp to the project
	* Removed all native methods from KAccelAction.java and KAccelActions.java
         as they aren't public classes.
2002-04-12  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing methods to KStandardDirs.java
2002-03-31  Richard Dale <duke@tipitina.demon.co.uk>
	* Some fixes for current build problems from Patrick Dempster
2002-03-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing java 'KURL,URLArgs' to C++ 'const KURL&,const KParts::URLArgs&'
         slot/signal type mapping
2002-03-24  Richard Dale <duke@tipitina.demon.co.uk>
	* Added new ioslave classes to Makefile.am's
2002-03-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing KMainWindow constructor
	* Added KIO slot/signal types for writing as well as reading.
	* Added missing kioslave classes
	* Added new KIO classes Scheduler, KIO, ProgressBase and StatusbarProgress
	* Fixed various method linking problems
2002-03-19  Richard Dale <duke@tipitina.demon.co.uk>
	* KCharSelectTest.java test app from KJP added.
2002-03-18  Richard Dale <duke@tipitina.demon.co.uk>
	* Added KBlendTest.java test app from KJP
2002-03-18  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing KMessageBox methods with default values
	* KJP added missing constructors to KHTMPart, and KSimpleBrowser test app
	* Added import statements to KdeMenuSample test app
	* Added KDatePickTest.java test app from Kenneth Pouncey
2002-03-18  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed build errors against kdelibs HEAD branch
2002-03-15  Richard Dale <duke@tipitina.demon.co.uk>
	* Regenerated classes which no longer built against the KDE_3_0_RELEASE
         branch.
	* Removed Kab and KFileBookmark classes
	* Regenerated classes which no longer built
2002-03-14  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Simple Browser test app from Kenneth Pouncey
2002-03-13  Richard Dale <duke@tipitina.demon.co.uk>
	* Simple mail bug fix and extra README info from Werner Punz.
2002-03-12  Richard Dale <duke@tipitina.demon.co.uk>
	* Added SimpleMail example app from Werner Punz, showing how to 
         add a KDE front end to the the Sun JavaMail library.
2002-03-11  Richard Dale <duke@tipitina.demon.co.uk>
	* Definitive JNI local reference leak fixes for KDEJavaSlot.cpp
2002-03-11  Richard Dale <duke@tipitina.demon.co.uk>
	* Moved KBase example to test/kbase
	* Added KHelpers.java test app from Kenneth Pouncey
	* Added missing methods to KFileDialog and KMainWindow
	* Fixed JNI local reference leaks in KDEJavaSlot.cpp
2002-03-10  Richard Dale <duke@tipitina.demon.co.uk>
	* Added KdeMenuSample.java test app from Werner Punz
	* Changed NetAccess.download() in KBase test app to use a StringBuffer
	* Added kdejava.initialize() method, changed sample code to use it.
	* Moved misspelt 'kprogess' directory name to 'kprogress'
	* Kenneth Pouncey added missing KProgress constructors
2002-03-01  Richard Dale <duke@tipitina.demon.co.uk>
	* Added KProgressTest.java test app from KJP
	* KScribble: KJP added accelerators and fixed the author information.
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Removed KFileTreeBranch::createBranchRoot() method.
2002-02-24  Richard Dale <duke@tipitina.demon.co.uk>
	* Test app KFontDialogTest.java from KJP
	* Fixed KFontDialog.getFontDiff() and other methods.
2002-02-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Test app KComboBoxTest.java from Kenneth Pouncey
2002-02-21  Richard Dale <duke@tipitina.demon.co.uk>
	* Sources for KKey class regenerated by Kenneth Pouncey
2002-02-19  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed incorrect classname strings in KHTMLPart event handler callbacks
2002-02-13  Richard Dale <duke@tipitina.demon.co.uk>
	* KConfigBase - Fixed readListEntry(), writeListEntry() methods.
	* Functions in KIconLoader, such as BarIcon(), converted to java 
         static methods.
	* KAccel - Fixed java slot connections
	* JNI function  name link problems in KURL.directory() and 
         KImageIO.pattern() fixed.
	* Added KMainWindow.memberList() method.
	* Ralf Nolden's KScribble app translated from C++ by Kenneth Pouncey.
2002-02-02  Dirk Mueller  <dmuell@gmx.net>
	* koala/kdejava/Makefile.am: removed KKeyChooser as
	it doesn't compile anymore with current kdelibs.
	* Remove private method bindings from khtml/MouseEvent
	* Removed KAccelAction (private header)
2002-02-01  Richard Dale <duke@tipitina.demon.co.uk>
	* Removed KToolBarButtonList class
	* Restored missing source files to kdejava/koala/org/kde/koala/Makefile.am
2002-01-31  Richard Dale <duke@tipitina.demon.co.uk>
	* Java bindings regenerated for KDE 3 beta2
2002-01-04  Richard Dale <duke@tipitina.demon.co.uk>
	* Regenerated KImageEffect for mosfet's new effects methods
2002-01-02  Richard Dale <duke@tipitina.demon.co.uk
	* Removed obsolete KAccel* classes
	* Added new KKey and KShortcut. 
	* Regenerated classes which no longer compiled.
2001-12-17  Richard Dale <duke@tipitina.demon.co.uk
	* Added new KDE 3 classes
	* Fixed KAction related changes
2001-12-07  Richard Dale <duke@tipitina.demon.co.uk
	* Removed obsolete KHTMLSettings.isCSSEnabled() method.
2001-12-07  Richard Dale <duke@tipitina.demon.co.uk
	* Changed NetAccess.download() target parameter type to StringBuffer.
2001-12-03  Richard Dale <duke@tipitina.demon.co.uk
	* Java bindings regenerated for KDE 3.0 beta 1
2001-10-11  Richard Dale <duke@tipitina.demon.co.uk
	* Java bindings regenerated for KDE 3.0.
2001-09-09  Richard Dale <duke@tipitina.demon.co.uk
	* Changed KFontDialog String parameter to a StringBuffer, 
          which can be changed.
2001-09-03  Richard Dale <duke@tipitina.demon.co.uk
	* Various missing constructors/methods added
2001-08-30  Richard Dale <duke@tipitina.demon.co.uk
	* Regenerated sources for KDE 2.2.1
        * Fixed DOM::DOMString parameter type code generation
        * Improved coordination between Qt memory management policies and
          and Java garbage collection
        * Fixed bugs in parsing default parameter values
        * Added *Signals.java and *EventHandling.java interfaces to improve
          javadoc documentation
        * Added KListViewItem class
2001-08-23  Richard Dale <duke@tipitina.demon.co.uk
	* In KContainerLayout, fixed incorrect int literal for vertical value
2001-08-17  Richard Dale <duke@tipitina.demon.co.uk
	* Removed classes DwProtocolClient and DwObserver, which 
          used to be in kdesupport lib (now in kdenetwork).
2001-08-06  Richard Dale <duke@tipitina.demon.co.uk
	* Removed obsolete KDirectionButton and KTabButton classes.
        * Improved Java -> C++ slot type signature matching.
2001-07-29  Richard Dale <duke@tipitina.demon.co.uk
	* Added KTipDialog and KTipDatabase classes
2001-07-29  Richard Dale <duke@tipitina.demon.co.uk
	* Added KIO slot/signal types
2001-07-28  Richard Dale <duke@tipitina.demon.co.uk
	* kdoc source converter - fixed bugs in parsing default parameter values. 
          Added Qt 3.0.0 datatype conversions.
        * The header KDEJavaSlot.h is now installed
2001-07-26  Richard Dale <duke@tipitina.demon.co.uk
	* Added missing 'KMainWindow.createGUI(String xmlfile)' method.
        * Removed obsolete methods in KLineEdit and KComboBox causing build problems. 
        * Removed DOM and PartBase classes.
2001-07-22  Richard Dale <duke@tipitina.demon.co.uk
	* Slot/signal lookup code moved from QtSupport.cpp/.h in qtjava project,
          to new KDEJavaSlot class. No KDE dependencies in kdebindings/qtjava anymore.
2001-07-05  Richard Dale <duke@tipitina.demon.co.uk
	* The Part class now implements the KXMLGUIClientInterface
2001-06-06  Richard Dale <duke@tipitina.demon.co.uk
	* Removed methods which no longer compile against the kdelibs in
          the HEAD branch.
2001-05-31  Richard Dale <duke@tipitina.demon.co.uk
	* A 'koala.jar' file is now built and installed. Missing 'setInstance()'
          method added to various classes.
2001-05-15  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed bug in 'const char *' return type code generation. JBridge classes
	  are no longer generated for classes which don't have any public or
	  protected constructors.
2001-05-13  Richard Dale <duke@tipitina.demon.co.uk
	* Sources regenerated for any headers changed in the last three weeks,
          ready for the KDE 2.2 beta baseline.
2001-05-07  Richard Dale <duke@tipitina.demon.co.uk
	* Sources regenerated for KDE 2.2. 
        * QByteArray/QCStringList now converted correctly.
        * String conversions improved, no longer inline, but all methods in 
          QtSupport.h/cpp.
        * Argc/Argv parameters all have dummy java argv[0] added. 
        * QDates are now converted to java.util.Calendar, rather than java.util.Date. 
        * Event handler callbacks are now generated for inherited event methods, 
          as well as for the current class. 
        * The address of a C++ Qt instance is held in a 64 bit java long, rather 
          than a 32 bit integer, so the runtime work on 64 bit architectures now.
2001-04-22  Richard Dale <duke@tipitina.demon.co.uk
	* Moved java sources from kdejava/koala/javasrc to kdejava/koala/org/kde/koala, 
          and fixed the install target to install the .class files in $(kde_libraries)/java.
2001-03-16  
	* Regenerated sources for KDE 2.1
Tues Feb 20 12:40:00 2001  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Qt 2.2.4/KDE 2.0.1 java Beta 0.3 baseline
	* Regenerated sources for KDE 2.0.1
